Bug 191539 - LTC23833-some initcalls return with error during netboot and in dmesg
LTC23833-some initcalls return with error during netboot and in dmesg
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 15:35 EDT by IBM Bug Proxy
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netboot_output.txt (8.44 KB, text/plain)
2006-05-12 15:41 EDT, IBM Bug Proxy
no flags Details
var-log-messages.txt (59.81 KB, text/plain)
2006-05-12 15:41 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2006-05-12 15:35:16 EDT
LTC Owner is: ameet@us.ibm.com
LTC Originator is: shenlinf@cn.ibm.com


Problem description:
I was testing "fedora-development tree (aka rawhide), snapshot May1" on junolp1.
I found some initcall errors during netboot. These errors were also showed in
dmesg after the installation finished and system rebooted.
--------------
initcall at 0xc000000000545378: .scanlog_init+0x0/0xf0(): returned with error
code -5
initcall at 0xc00000000055d220: .hvc_rtas_init+0x0/0xcc(): returned with error
code -5
initcall at 0xc00000000055d280: .hvc_fss_init+0x0/0x80(): returned with error
code -1
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
initcall at 0xc000000000565490: .i8042_init+0x0/0x114(): returned with error
code -16
--------------

Is this reproducible?
    If so, how long does it (did it) take to reproduce it?
    Describe the steps:
    1. config IPL in SMS
    2. netboot by bootp (find these errors)
    3. install ... and wait till it finishes and reboots
    4. dmesg (find these errors again)

    If not, describe how the bug was encountered:



Additional information:
1. We also found similiar errors on other systems:
Squadron ML8+
p630
Squadron B60++
Squadron HV4
Squadron H
Comment 1 IBM Bug Proxy 2006-05-12 15:41:14 EDT
Created attachment 128959 [details]
netboot_output.txt
Comment 2 IBM Bug Proxy 2006-05-12 15:41:54 EDT
Created attachment 128960 [details]
var-log-messages.txt
Comment 3 IBM Bug Proxy 2006-05-14 04:43:06 EDT
----- Additional Comments From antonb@au1.ibm.com(prefers email via anton@au.ibm.com)  2006-05-14 04:46 EDT -------
Some of these are fixed in mainline 
Comment 4 IBM Bug Proxy 2006-05-30 01:02:14 EDT
----- Additional Comments From shenlinf@cn.ibm.com  2006-05-30 01:06 EDT -------
It seems that these initcall failures don't appear in May 26 version. 
Comment 5 IBM Bug Proxy 2006-06-06 03:18:27 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
            Version|FC5                         |devel




------- Additional Comments From shenlinf@cn.ibm.com  2006-06-06 03:20 EDT -------
I am changing the version to 'devel' to properly reflect that this recreates on
rawhide. 
Comment 6 Dave Jones 2006-10-16 20:57:53 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 18:21:30 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 8 IBM Bug Proxy 2006-11-29 12:41:39 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |REJECTED
         Resolution|                            |UNREPRODUCIBLE




------- Additional Comments From ameet@us.ibm.com (prefers email at ameet@austin.ibm.com)  2006-11-29 12:38 EDT -------
Yes, comment #9 is perfect.  I just missed it.

Since we don't know what changed to fix this problem, closing this as
Unreproducible. 

Note You need to log in before you can comment on or make changes to this bug.